@import url('https://fonts.googleapis.com/css?family=Fira+Sans&display=swap');

* {
    font-family: 'Fira Sans', sans-serif;
}

html {
    overflow: hidden; 
}

body {
    margin: 0px;
    padding: 0px;
    background-color: var(--outer-background-color);
}

h1, h2, h3, h4, h5, h6, #settingsContent div {
    color: var(--font-color);
}

#wrapper {
    margin: 5vh 10vw;
    background-color: var(--chat-background-color);
    border-radius: 15px;
}

#messages {
    height: calc(80vh - 46px);
    float: left;
    margin: 3px;
    width: calc(80vw - 48px - 12px);
    overflow: hidden;
}

#left {
    height: 80vh;
    float: left;
    margin: 3px;
    width: calc(80vw - 48px - 24px);
}


#userBar {
    height: 80vh;
    float: right;
    padding: 6px;
    padding-bottom: 8px;
    background-color: var(--accent-color);
    border-top-right-radius: 15px;
    border-bottom-right-radius: 15px;
    transition: 0.5s;
}

#writeDiv {
    float: left;
    bottom: 0px;
    padding: 12px 16px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}


.message {
    padding: 5px;
    color: var(--chat-font-color);
}

.message img {
    width: 48px;
    height: 48px;
    object-fit: cover;
    float: left;
    border-radius: 10px;
    margin-right: 5px;
}

.messageAuthor {
    font-weight: 600;
    float: left;
}

.messageDate {
    float: right;
    color: var(--chat-font-color);
    opacity: 0.5;
}





#userBar a {
    color: var(--font-color);
    margin-left: 10px;
}

#userSpacer {
    height: calc(80vh - 44px);
    clear: both;
}

#userSpacer img {
    width: 35px;
    height: 35px;
    object-fit: cover;
    border-radius: 10px;
    margin-bottom: 5px;
}

#userSpacer a {
    text-decoration: unset;
    white-space: nowrap;
}

#userSpacer div {
    color: var(--font-color);
    width: 32px;
    font-size: 22px;
    transform: rotate(90deg);
}



#writeDiv input, button {
    color: var(--chat-font-color);
    border-radius: 5px;
    padding: 3px;
    background-color: var(--outer-background-color);
    border-color: var(--chat-background-color);
}

#writeDiv input {
    width: 420px;
    max-width: calc(60vw - 80px);
}



#settings {
    right: calc(10vw + 47px);
    top: 5vh;
    position: absolute;
    height: calc(80vh + 14px);
    width: 250px;
}

#settingsContent {
    width: 100%;
    height: 100%;
    position: absolute;
    transition: 0.5s;
    background-color: var(--accent-color);
}


#overlay {
    position: absolute;
    width: 10vw;
    top: 0px;
    right: 0px;
    z-index: 5;
    height: 100vh;
    background-color: var(--outer-background-color);
}

img.sentImage {
    width: unset;
    height: unset;
    max-width: 250px;
    max-height: 180px;
}


.popup {
    border-radius: 15px;
    z-index: 4;
    position: absolute;
    height: 400px;
    top: calc(50vh - 200px - 50px);
    width: 600px;
    left: calc(50vw - 300px);
    background-color: var(--outer-background-color);
}

.popupTitle {
    border-top-right-radius: 15px;
    border-top-left-radius: 15px;
    color: var(--font-color);
    background-color: var(--accent-color);
    font-size: 24px;
    padding: 10px;
    left: 50%;
}

.popupTitle i {
    position: absolute;
    right: 12px;
}

.popupTitle i:first-child {
    position: absolute;
    left: 12px;
    right: unset;
}

.popupTitle span {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 40%;
    text-align: center;
}

.popupContent {
    padding: 0px 15px;
    color: var(--chat-font-color);
}

.popupContent a {
    color:  #6da6df;
}

.popupContent table {
    width: 600px;
    bottom: 25px;
    position: absolute;
    text-align: center;
    left: 0px;
}